Package org.h2gis.functions.spatial.predicates

# Class ST_Relate

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.predicates.ST_Relate

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_Relate extends org.h2gis.api.DeterministicScalarFunction
This function is used to compute the relation between two geometries, as described in the SFS specification. It can be used in two ways. First, if it is given two geometries,it returns a 9-character String representation of the 2 geometries IntersectionMatrix. If it is given two geometries and a IntersectionMatrix representation, it will return a boolean : true it the two geometries' IntersectionMatrix match the given one, false otherwise.

Author:
  Nicolas Fortin

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_Relate()`
Default constructor

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static String`
`relate(org.locationtech.jts.geom.Geometry a, org.locationtech.jts.geom.Geometry b)`
`static Boolean`
`relate(org.locationtech.jts.geom.Geometry a, org.locationtech.jts.geom.Geometry b, String iMatrix)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_Relate

public ST_Relate()
Default constructor

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### relate

public static String relate(org.locationtech.jts.geom.Geometry a, org.locationtech.jts.geom.Geometry b) throws SQLException

Parameters:
  `a` - Geometry Geometry.
  `b` - Geometry instance
Returns:
  9-character String representation of the 2 geometries IntersectionMatrix
Throws:
  `SQLException`

### relate

public static Boolean relate(org.locationtech.jts.geom.Geometry a, org.locationtech.jts.geom.Geometry b, String iMatrix)

Parameters:
  `a` - Geometry instance
  `b` - Geometry instance
  `iMatrix` - IntersectionMatrix representation
Returns:
  true it the two geometries' IntersectionMatrix match the given one, false otherwise.